## org.eclipse.datatools.modelbase.dbdefinition
Interface QueryDefinition

All Known Implementing Classes:
  QueryDefinitionImpl

    public interface QueryDefinition

A representation of the model object 'Query Definition'.

The following features are supported:

- `Identifier Quote String`
- `Host Variable Marker`
- `Host Variable Marker Supported`
- `Cast Expression Supported`
- `Default Keyword For Insert Value Supported`
- `Extended Grouping Supported`
- `Table Alias In Delete Supported`

See Also:
  `DatabaseDefinitionPackage.getQueryDefinition()`

Method Summary
`java.lang.String` `getHostVariableMarker()` Returns the value of the 'Host Variable Marker' attribute.
`java.lang.String` `getIdentifierQuoteString()` Returns the value of the 'Identifier Quote String' attribute.
`boolean` `isCastExpressionSupported()` Returns the value of the 'Cast Expression Supported' attribute.
`boolean` `isDefaultKeywordForInsertValueSupported()` Returns the value of the 'Default Keyword For Insert Value Supported' attribute.
`boolean` `isExtendedGroupingSupported()` Returns the value of the 'Extended Grouping Supported' attribute.
`boolean` `isHostVariableMarkerSupported()` Returns the value of the 'Host Variable Marker Supported' attribute.
`boolean` `isTableAliasInDeleteSupported()` Returns the value of the 'Table Alias In Delete Supported' attribute.
`void` `setCastExpressionSupported(boolean value)` Sets the value of the '`Cast Expression Supported`' attribute.
`void` `setDefaultKeywordForInsertValueSupported(boolean value)` Sets the value of the '`Default Keyword For Insert Value Supported`' attribute.
`void` `setExtendedGroupingSupported(boolean value)` Sets the value of the '`Extended Grouping Supported`' attribute.
`void` `setHostVariableMarker(java.lang.String value)` Sets the value of the '`Host Variable Marker`' attribute.
`void` `setHostVariableMarkerSupported(boolean value)` Sets the value of the '`Host Variable Marker Supported`' attribute.
`void` `setIdentifierQuoteString(java.lang.String value)` Sets the value of the '`Identifier Quote String`' attribute.
`void` `setTableAliasInDeleteSupported(boolean value)` Sets the value of the '`Table Alias In Delete Supported`' attribute.

Method Detail

### getIdentifierQuoteString

    java.lang.String getIdentifierQuoteString()

  Returns the value of the 'Identifier Quote String' attribute. The default value is `"\\\""`.

  If the meaning of the 'Identifier Quote String' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identifier Quote String' attribute.
  See Also:
    `setIdentifierQuoteString(String)`, `DatabaseDefinitionPackage.getQueryDefinition_IdentifierQuoteString()`

### setIdentifierQuoteString

    void setIdentifierQuoteString(java.lang.String value)

  Sets the value of the '`Identifier Quote String`' attribute.

  Parameters:
    `value` - the new value of the 'Identifier Quote String' attribute.
  See Also:
    `getIdentifierQuoteString()`

### getHostVariableMarker

    java.lang.String getHostVariableMarker()

  Returns the value of the 'Host Variable Marker' attribute. The default value is `":"`.

  If the meaning of the 'Host Variable Marker' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Host Variable Marker' attribute.
  See Also:
    `setHostVariableMarker(String)`, `DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarker()`

### setHostVariableMarker

    void setHostVariableMarker(java.lang.String value)

  Sets the value of the '`Host Variable Marker`' attribute.

  Parameters:
    `value` - the new value of the 'Host Variable Marker' attribute.
  See Also:
    `getHostVariableMarker()`

### isHostVariableMarkerSupported

    boolean isHostVariableMarkerSupported()

  Returns the value of the 'Host Variable Marker Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Host Variable Marker Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Host Variable Marker Supported' attribute.
  See Also:
    `setHostVariableMarkerSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarkerSupported()`

### setHostVariableMarkerSupported

    void setHostVariableMarkerSupported(boolean value)

  Sets the value of the '`Host Variable Marker Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Host Variable Marker Supported' attribute.
  See Also:
    `isHostVariableMarkerSupported()`

### isCastExpressionSupported

    boolean isCastExpressionSupported()

  Returns the value of the 'Cast Expression Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Cast Expression Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cast Expression Supported' attribute.
  See Also:
    `setCastExpressionSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_CastExpressionSupported()`

### setCastExpressionSupported

    void setCastExpressionSupported(boolean value)

  Sets the value of the '`Cast Expression Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Cast Expression Supported' attribute.
  See Also:
    `isCastExpressionSupported()`

### isDefaultKeywordForInsertValueSupported

    boolean isDefaultKeywordForInsertValueSupported()

  Returns the value of the 'Default Keyword For Insert Value Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Default Keyword For Insert Value Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Keyword For Insert Value Supported' attribute.
  See Also:
    `setDefaultKeywordForInsertValueSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_DefaultKeywordForInsertValueSupported()`

### setDefaultKeywordForInsertValueSupported

    void setDefaultKeywordForInsertValueSupported(boolean value)

  Sets the value of the '`Default Keyword For Insert Value Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Default Keyword For Insert Value Supported' attribute.
  See Also:
    `isDefaultKeywordForInsertValueSupported()`

### isExtendedGroupingSupported

    boolean isExtendedGroupingSupported()

  Returns the value of the 'Extended Grouping Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Extended Grouping Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extended Grouping Supported' attribute.
  See Also:
    `setExtendedGroupingSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_ExtendedGroupingSupported()`

### setExtendedGroupingSupported

    void setExtendedGroupingSupported(boolean value)

  Sets the value of the '`Extended Grouping Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Extended Grouping Supported' attribute.
  See Also:
    `isExtendedGroupingSupported()`

### isTableAliasInDeleteSupported

    boolean isTableAliasInDeleteSupported()

  Returns the value of the 'Table Alias In Delete Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Table Alias In Delete Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Alias In Delete Supported' attribute.
  See Also:
    `setTableAliasInDeleteSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_TableAliasInDeleteSupported()`

### setTableAliasInDeleteSupported

    void setTableAliasInDeleteSupported(boolean value)

  Sets the value of the '`Table Alias In Delete Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Table Alias In Delete Supported' attribute.
  See Also:
    `isTableAliasInDeleteSupported()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.